#ifndef	__USB_CTRL_DEF_H
#define	__USB_CTRL_DEF_H

/*
 * $Id: usb_ctrl_def.h,v 1.1 2004/07/25 22:19:06 a-gota Exp $
 */

#include <sys/types.h>

typedef struct trans_result {
    int32_t	data, diff;
    int		action;
} trans_result_t;

typedef trans_result_t (*trans_func_t)(int32_t raw, int32_t prev);


struct ctrl_bind {
    char		*usage_name;
    char		*name;
    int			action_make;
    int			action_break;
    trans_func_t	func;
};

struct controller {
    char		*name;
    struct ctrl_bind	*bind;
};

#endif	/* __USB_CTRL_DEF_H */
